devblog/urls.py
from django.urls import path
from . import views
from django.conf import settings
from django.conf.urls.static import static

app_name = 'devblog'

urlpatterns = [

    path('', views.index, name='index'),
    path('about/', views.about, name='about'),
    path('posts/<int:post_id>', views.posts, name ='posts'),

] + static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

enquete/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    
    path('', include('main.urls')),
    path('devblog/', include('devblog.urls')), 
    path('admin/', admin.site.urls),
    path('accounts/', include('django.contrib.auth.urls')),

]

main/urls.py
from django.urls import path
from . import views

app_name = 'main'

urlpatterns = [
    
        path('', views.root, name='root'),

        path('enquete',
        views.IndexViews.as_view(),
        name='index'),

        path('pergunta/<int:pk>',
        views.DetalhesViews.as_view(),
        name ='detalhes'),

        path('pergunta/<int:pk>/resultado',
        views.ResultadoViews.as_view(),
        name ='resultado'),

        path('pergunta/<int:id_enquete>/votacao',
        views.votacao,
        name = 'votacao'),

        path('pergunta/<int:id_categoria>/categoria',
        views.categoria,
        name = 'categoria'),

    ]

devblog/models.py
from django.db import models
from django.utils import timezone
# Create your models here.

# every blog post has a category 
class Category(models.Model):
    name = models.CharField(max_length = 125)
    description = models.TextField(max_length= 255)
    def __str__(self):
        return self.name  

# author of a post 
class Author(models.Model):
    name = models.CharField(max_length = 125)
    age = models.IntegerField()
    description = models.TextField(max_length= 255)
    def __str__(self):
        return self.name

# post of the blog 
class Post(models.Model):
    author = models.ForeignKey(Author, on_delete=models.CASCADE)
    category = models.ManyToManyField(Category)
    title = models.CharField(max_length=255)
    text = models.TextField()
    created_date = models.DateTimeField(default=timezone.now)
    published_date = models.DateTimeField(blank=True, null=True)

    def publish(self):
        self.published_date = timezone.now()
        self.save()

    def __str__(self):
        return self.title

main/models.py
from django.db import models
from django.utils import timezone
import datetime
# Create your models here.


class Categoria(models.Model):
    titulo = models.CharField(max_length = 200)
    descricao = models.CharField(max_length = 500)
    data_publicacao = models.DateTimeField('Data de publicação')
    def __str__(self):
        return self.titulo

class Pergunta(models.Model):
    texto = models.CharField(max_length = 200)
    data_publicacao = models.DateTimeField('Data de publicação')
    categoria = models.ManyToManyField(Categoria)
    def __str__(self):
        return self.texto
    def publicada_recentemente(self):
        agora = timezone.now()
        return agora - datetime.timedelta(days=1) <= self.data_publicacao <= agora

class Opcao(models.Model):
    texto = models.CharField(max_length = 200)
    votos = models.IntegerField(default = 0)
    pergunta = models.ForeignKey(Pergunta, on_delete = models.CASCADE)
    def __str__(self):
        return self.texto

devblog/views.py
from django.shortcuts import render
from .models import Post
from django.shortcuts import render, get_object_or_404

# Create your views here.
def index(request):
    all_posts = Post.objects.all()
    return render(request, 'devblog/index.html', {'posts': all_posts})

def about(request):
    return render(request, 'devblog/about.html')

def posts(request, post_id): 
    post = Post.objects.get(id=post_id)
    return render(request, 'devblog/blog-post.html', {'post': post})

main/views.py
from django.shortcuts import render, get_object_or_404
from django.http import HttpResponseRedirect
from .models import Pergunta, Opcao, Categoria
from django.urls import reverse
from django.utils import timezone
from django.views import generic


# Create your views here.
def root(request):
    return render(request, 'main/index.html')

class IndexViews(generic.ListView):
    template_name = 'main/perguntas.html'
    context_object_name = 'ultimas_perguntas'
    def get_queryset(self):
        return Pergunta.objects.filter(data_publicacao__lte=timezone.now()
        ).order_by('-data_publicacao')[:5]

class DetalhesViews(generic.DetailView):
    model = Pergunta
    template_name = 'main/detalhes.html'

class ResultadoViews(generic.DetailView):
    model = Pergunta
    template_name = 'main/resultado.html'

def categoria(request, id_categoria):
    context = get_object_or_404(Categoria, pk=id_categoria)
    pergunta = context.pergunta_set.all().order_by('texto')
    return render(request, 'main/categoria.html', {'categoria': context, 'pergunta': pergunta })


def votacao(request, id_enquete):
    pergunta = get_object_or_404(Pergunta, pk=id_enquete)
    try:
        opcao_selecionada = pergunta.opcao_set.get(pk=request.POST['opcao'])
    except (KeyError, Opcao.DoesNotExist):
        return render(request, 'main/detalhes.html', {
            'pergunta':pergunta,
            'error_message': "Selecione uma opção VÁLIDA!",
            })
    else:
        opcao_selecionada.votos += 1
        opcao_selecionada.save()
        return HttpResponseRedirect(reverse('main:resultado', args=(pergunta.id,)))

devblog/templates/base_generic.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>{% block title %}{% endblock %}</title>
  <link rel="stylesheet" href="{% static 'bootstrap/css/bootstrap.min.css' %}">
  <link rel="stylesheet" href="{% static 'fontawesome/css/all.min.css' %}">
  <link href="{% static 'style/main.css' %}" rel="stylesheet">
  <script defer src="{% static 'fontawesome/js/all.min.js' %}"></script>
</head>

<body>
  <div class="wrapper">
    {% block content %}

    {% endblock %}
  </div>
  <script src="{% static 'bootstrap/js/jquery.min.js' %}"></script>
  <script src="{% static 'bootstrap/js/bootstrap.bundle.min.js' %}"></script>
</body>

</html>

devblog/templates/devblog/about.html
{% load static %}

{% load bootstrap4 %}

<!DOCTYPE html>
<html lang="en"> 
<head>
    <title>Bootstrap 4 Blog Template For Developers</title>
    
    <!-- Meta -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Blog Template">
    <meta name="author" content="Xiaoying Riley at 3rd Wave Media">    
    <link rel="shortcut icon" href="favicon.ico"> 
    
    <!-- FontAwesome JS-->
    <script defer src="https://use.fontawesome.com/releases/v5.7.1/js/all.js" integrity="sha384-eVEQC9zshBn0rFj4+TU78eNA19HMNigMviK/PU/FFjLXqa/GKPgX58rvt5Z8PLs7" crossorigin="anonymous"></script>
    
    <!-- Theme CSS -->  
    <link id="theme-style" rel="stylesheet" href="{%static 'devblog/css/theme-1.css' %}">
    

</head> 

<body>
 	
	<!-- lateral navbar -->  

    <header class="header text-center">	    
	    <h1 class="blog-name pt-lg-4 mb-0"><a href="{% url 'devblog:index' %}">DevBlog</a></h1>
        
	    <nav class="navbar navbar-expand-lg navbar-dark" >
           
			<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navigation" aria-controls="navigation" aria-expanded="false" aria-label="Toggle navigation">
			<span class="navbar-toggler-icon"></span>
			</button>

			<div id="navigation" class="collapse navbar-collapse flex-column" >
				<div class="profile-section pt-3 pt-lg-0">
				    <img class="profile-image mb-3 rounded-circle mx-auto" src="{% static 'devblog/images/profile.jpeg' %}" alt="image" >			
					
					<div class="bio mb-3">Olá meu nome é vithor e vou lhe introduzir ao meu blog de T.I.<br><a href="{% url 'devblog:about' %}">Saiba mais sobre mim</a></div><!--//bio-->
					<ul class="social-list list-inline py-3 mx-auto">
			            <li class="list-inline-item"><a href="#"><i class="fab fa-twitter fa-fw"></i></a></li>
			            <li class="list-inline-item"><a href="#"><i class="fab fa-linkedin-in fa-fw"></i></a></li>
			            <li class="list-inline-item"><a href="#"><i class="fab fa-github-alt fa-fw"></i></a></li>
			            <li class="list-inline-item"><a href="#"><i class="fab fa-stack-overflow fa-fw"></i></a></li>
			            <li class="list-inline-item"><a href="#"><i class="fab fa-codepen fa-fw"></i></a></li>
					</ul>
					<!--//social-list-->
			        <hr> 
				</div>
				<!--//profile-section-->
				
				<ul class="navbar-nav flex-column text-left">
					<li class="nav-item active">
					    <a class="nav-link" href="#"><i class="fas fa-home fa-fw mr-2"></i>Home do Blog <span class="sr-only">(current)</span></a>
					</li>
					<li class="nav-item">
					    <a class="nav-link" href="#"><i class="fas fa-user fa-fw mr-2"></i>Sobre mim</a>
					</li>
				</ul>
			</div>
		</nav>
	</header>

	<!-- end of lateral navbar --> 

    
    <div class="main-wrapper">
	    	    
	    <article class="about-section py-5">
		    <div class="container">
			    <h2 class="title mb-3">Sobre mim</h2>
			    
			    <p></p>
			    <figure><img class="img-fluid" src="{% static 'devblog/images/about-me.jpg' %}" alt="image"></figure>
			    <h5 class="mt-5">Sobre o blog</h5>
			    <p>Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum. Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus.</p>
			    <h5 class="mt-5">Minhas habilidades e experiências</h5>
			    <p>Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum. Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi.</p>
			    <h5 class="mt-5">Projetos</h5>
			    <p>Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum. Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi.</p>
			    
			    <figure><a href="https://made4dev.com"><img class="img-fluid" src="{% static 'devblog/images/promo-banner.jpg' %}" alt="image"></a></figure>
		    </div>
	    </article><!--//about-section-->
	    
	    <section class="cta-section theme-bg-light py-5">
		    <div class="container text-center">
			    <h2 class="heading">Noticias</h2>
			    <div class="intro">Bem Vindo ao meu blog. Inscreva-se para ter as ultimas noticias no seu Inbox.</div>
			    <form class="signup-form form-inline justify-content-center pt-3">
                    <div class="form-group">
                        <label class="sr-only" for="semail">Your email</label>
                        <input type="email" id="semail" name="semail1" class="form-control mr-md-1 semail" placeholder="Enter email">
                    </div>
                    <button type="submit" class="btn btn-primary">Subscribe</button>
                </form>
		    </div><!--//container-->
	    </section>
	    
	    <footer class="footer text-center py-2 theme-bg-dark">
		   
	        <!--/* This template is released under the Creative Commons Attribution 3.0 License. Please keep the attribution link below when using for your own project. Thank you for your support. :) If you'd like to use the template without the attribution, you can buy the commercial license via our website: themes.3rdwavemedia.com */-->
            <small class="copyright">Designed with <i class="fas fa-heart" style="color: #fb866a;"></i> by <a href="#" target="_blank">Xiaoying Riley</a> for developers</small>
		   
	    </footer>
    
    </div><!--//main-wrapper-->
    

    <!-- *****CONFIGURE STYLE (REMOVE ON YOUR PRODUCTION SITE)****** -->  
    <div id="config-panel" class="config-panel d-none d-lg-block">
        <div class="panel-inner">
            <a id="config-trigger" class="config-trigger config-panel-hide text-center" href="#"><i class="fas fa-cog fa-spin mx-auto" data-fa-transform="down-6" ></i></a>
            <h5 class="panel-title">Choose Colour</h5>
            <ul id="color-options" class="list-inline mb-0">
                <li class="theme-1 active list-inline-item"><a data-style="assets/css/theme-1.css" href="#"></a></li>
                <li class="theme-2  list-inline-item"><a data-style="assets/css/theme-2.css" href="#"></a></li>
                <li class="theme-3  list-inline-item"><a data-style="assets/css/theme-3.css" href="#"></a></li>
                <li class="theme-4  list-inline-item"><a data-style="assets/css/theme-4.css" href="#"></a></li>
                <li class="theme-5  list-inline-item"><a data-style="assets/css/theme-5.css" href="#"></a></li>
                <li class="theme-6  list-inline-item"><a data-style="assets/css/theme-6.css" href="#"></a></li>
                <li class="theme-7  list-inline-item"><a data-style="assets/css/theme-7.css" href="#"></a></li>
                <li class="theme-8  list-inline-item"><a data-style="assets/css/theme-8.css" href="#"></a></li>
            </ul>
            <a id="config-close" class="close" href="#"><i class="fa fa-times-circle"></i></a>
        </div><!--//panel-inner-->
    </div><!--//configure-panel-->

    
       
    <!-- Javascript -->          
    <script src="{% static 'devblog/plugins/jquery-3.3.1.min.js' %}"></script>
    <script src="{% static 'devblog/plugins/popper.min.js' %}"></script> 
    <script src="{% static 'devblog/plugins/bootstrap/js/bootstrap.min.js' %}"></script> 
    
    <!-- Style Switcher (REMOVE ON YOUR PRODUCTION SITE) -->
    <script src="{% static 'devblog/js/demo/style-switcher.js' %}"></script>     
    

</body>
</html> 

devblog/templates/devblog/index.html
{% load static %}

{% load bootstrap4 %}

<!DOCTYPE html>
<html lang="en"> 
<head>
    	<title>DevBlog</title>
    <!-- Meta -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Blog Template">
    <meta name="author" content="Xiaoying Riley at 3rd Wave Media">    
    <link rel="shortcut icon" href="favicon.ico"> 
    
    <!-- FontAwesome JS-->
    <script defer src="https://use.fontawesome.com/releases/v5.7.1/js/all.js" integrity="sha384-eVEQC9zshBn0rFj4+TU78eNA19HMNigMviK/PU/FFjLXqa/GKPgX58rvt5Z8PLs7" crossorigin="anonymous"></script>
    
    <!-- Theme CSS -->  
    <link id="theme-style" rel="stylesheet" href="{% static 'devblog/css/theme-1.css' %}">

</head> 

<body>
	
	<!-- lateral navbar -->  

    <header class="header text-center">	    
	    <h1 class="blog-name pt-lg-4 mb-0"><a href="{% url 'devblog:index' %}">DevBlog</a></h1>
        
	    <nav class="navbar navbar-expand-lg navbar-dark" >
           
			<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navigation" aria-controls="navigation" aria-expanded="false" aria-label="Toggle navigation">
			<span class="navbar-toggler-icon"></span>
			</button>

			<div id="navigation" class="collapse navbar-collapse flex-column" >
				<div class="profile-section pt-3 pt-lg-0">
				    <img class="profile-image mb-3 rounded-circle mx-auto" src="{% static 'devblog/images/profile.jpeg' %}" alt="image" >			
					
					<div class="bio mb-3">Olá meu nome é vithor e vou lhe introduzir ao meu blog de T.I.<br><a href="{% url 'devblog:about' %}">Saiba mais sobre mim</a></div><!--//bio-->
					<ul class="social-list list-inline py-3 mx-auto">
			            <li class="list-inline-item"><a href="#"><i class="fab fa-twitter fa-fw"></i></a></li>
			            <li class="list-inline-item"><a href="#"><i class="fab fa-linkedin-in fa-fw"></i></a></li>
			            <li class="list-inline-item"><a href="#"><i class="fab fa-github-alt fa-fw"></i></a></li>
			            <li class="list-inline-item"><a href="#"><i class="fab fa-stack-overflow fa-fw"></i></a></li>
			            <li class="list-inline-item"><a href="#"><i class="fab fa-codepen fa-fw"></i></a></li>
					</ul>
					<!--//social-list-->
			        <hr> 
				</div>
				<!--//profile-section-->
				
				<ul class="navbar-nav flex-column text-left">
					<li class="nav-item active">
					    <a class="nav-link" href="#"><i class="fas fa-home fa-fw mr-2"></i>Home do Blog <span class="sr-only">(current)</span></a>
					</li>
					<li class="nav-item">
					    <a class="nav-link" href="{% url 'devblog:about' %}"><i class="fas fa-user fa-fw mr-2"></i>Sobre mim</a>
					</li>
				</ul>
			</div>
		</nav>
	</header>

	<!-- end of lateral navbar --> 

	
			<!--//container-->
    <div class="main-wrapper">
	    <section class="cta-section theme-bg-light py-5">
		    <div class="container text-center">
			    <h2 class="heading">DevBlog - Um Blog pensado e feito para desenvolvedores</h2>
			    <div class="intro">Bem vindo ao meu blog.</div>
			    <form class="signup-form form-inline justify-content-center pt-3">
                    <div class="form-group">
                        <label class="sr-only" for="semail">Seu E-mail</label>
                        <input type="email" id="semail" name="semail1" class="form-control mr-md-1 semail" placeholder="Digite seu E-mail">
                    </div>
                    <button type="submit" class="btn btn-primary">Inscreva-se</button>
                </form>
			</div>

		<!-- blog post -->
		</section>
			<section class="blog-list px-3 py-5 p-md-5">

				{% for post in posts %}
				
				<div class="container">
					<div class="item mb-5">
						<div class="media">
							<img class="mr-3 img-fluid post-thumb d-none d-md-flex" src="{% static '/devblog/assets/images/pythoncode.jpeg' %}" alt="image">
							<div class="media-body">
								<h3 class="title mb-1"><a href="#">{{ post.title }}</a></h3>
								<div class="meta mb-1"><span class="date">{{post.published_date}}</span></div>
								<div class="intro">{{ post.text|slice:"200" }}</div>
								<a class="more-link" href="{% url 'devblog:posts' post.id %}">Leia mais &rarr;</a>
							</div><!--//media-body-->
						</div><!--//media-->		
					
				</div><!--//item-->
				<!-- end blog post -->

				{% endfor %}

	    </section>
	    
	    <footer class="footer text-center py-2 theme-bg-dark">
		   
                <small class="copyright">Design com <i class="fas fa-heart" style="color: #fb866a;"></i> por <a href="#" target="_blank">vithor varela</a> para desenvolvedores</small>
		   
	    </footer>
    
    </div><!--//main-wrapper-->
    
    
    
    
    <!-- *****CONFIGURE STYLE (REMOVE ON YOUR PRODUCTION SITE)****** -->  
    <div id="config-panel" class="config-panel d-none d-lg-block">
        <div class="panel-inner">
            <a id="config-trigger" class="config-trigger config-panel-hide text-center" href="#"><i class="fas fa-cog fa-spin mx-auto" data-fa-transform="down-6" ></i></a>
            <h5 class="panel-title">Escolha a cor</h5>
            <ul id="color-options" class="list-inline mb-0">
                <li class="theme-1 active list-inline-item"><a data-style="{% static 'devblog/css/theme-1.css' %}" href="#"></a></li>
                <li class="theme-2  list-inline-item"><a data-style="{% static 'devblog/css/theme-2.css' %}" href="#"></a></li>
                <li class="theme-3  list-inline-item"><a data-style="{% static 'devblog/css/theme-3.css' %}" href="#"></a></li>
                <li class="theme-4  list-inline-item"><a data-style="{% static 'devblog/css/theme-4.css' %}" href="#"></a></li>
                <li class="theme-5  list-inline-item"><a data-style="{% static 'devblog/css/theme-5.css' %}" href="#"></a></li>
                <li class="theme-6  list-inline-item"><a data-style="{% static 'devblog/css/theme-6.css' %}" href="#"></a></li>
                <li class="theme-7  list-inline-item"><a data-style="{% static 'devblog/css/theme-7.css' %}" href="#"></a></li>
                <li class="theme-8  list-inline-item"><a data-style="{% static 'devblog/css/theme-8.css' %}" href="#"></a></li>
            </ul>
            <a id="config-close" class="close" href="#"><i class="fa fa-times-circle"></i></a>
        </div><!--//panel-inner-->
    </div><!--//configure-panel-->

    
       
    <!-- Javascript -->          
    <script src="{% static 'devblog/plugins/jquery-3.3.1.min.js' %}"></script>
    <script src="{% static 'devblog/plugins/popper.min.js' %}"></script> 
    <script src="{% static 'devblog/plugins/bootstrap/js/bootstrap.min.js' %}"></script> 

    <!-- Style Switcher (REMOVE ON YOUR PRODUCTION SITE) -->
    <script src="{% static 'devblog/js/demo/style-switcher.js' %}"></script>     
    

</body>
</html> 

main/templates/main/categoria.html
<html>
    <title>App Enquete</title>
</html>
    <body>
            <h1>{{ categoria.titulo }}</h1>
            </br>
            <u>Data publicação</u>: {{ categoria.data_publicacao }}
            {% for p in pergunta %}

                <li>{{ p.texto }}</li>

            {% endfor %}

                <hr/>
                 <a href="{% url 'main:index' %}">Retornar a página principal</a>
    </body>
</html>

main/templates/main/detalhes.html
<html>
    <head>
        <title>App Enquete</title>
    </head>
    <body>
        <h1>Detalhes da Enquete {{ pergunta.id }}</h1>
        <u>Pergunta</u>: {{pergunta.texto}} </br>
        <u>Data publicação</u>: {{ pergunta.data_publicacao }}

        {% if error_message %}
        <hr/>
        <strong>{{ error_message }}</strong>
        <hr/>
        {% endif %}
        <form action="{% url 'main:votacao' pergunta.id %}" method="post">
            {% csrf_token %}
        <ul>
            {% for opcao in pergunta.opcao_set.all %}
                <li>
                    <input type="radio" name="opcao" id="opcao{{forloop.counter}}" value="{{ opcao.id }}">
                    <label for="opcao{{ forloop.counter }}">{{ opcao.texto }}
                    </label>
                </li>
            {% endfor %}
        </ul>
            <input type="submit" value="Resgistre seu Voto">
        </form>
        <ul>
            {% for categoria in pergunta.categoria.all %}

                <li><a href="{% url 'main:categoria' categoria.id %}">{{ categoria.titulo }}</a></li>

            {% endfor %}
        </ul>
        <hr>
        <a href="{% url 'main:index' %}">Retornar a página principal</a>
    </body>
</html>

main/templates/main/index.html
<!DOCTYPE html>
<html>
<head>
    <title>Aplicações da disciplina de desenvolvimento web</title>
</head>
<body>
    <h1>Aplicações da Disciplina de DSWEB 2020.1</h1>
    <h3>Selecione a aplicação desejada:</h3>
    <ul>
        <li><a href="{% url 'main:index' %}">aplicação Enquete - Módulo 1</a></li>
        <li><a href="{% url 'devblog:index' %}">aplicação DevBlog - Módulo 2</a></li>
        <b>Prof. Fellipe Aleixo</b> (<i>fellipe.aleixo@ifrn.edu.br</i>)
    </ul>
</body>
</html>

main/templates/main/perguntas.html
<!DOCTYPE HTML>
<html>
    <head>
        <title>App Enquete</title>
    <head>

    <body>
        {%if ultimas_perguntas %}

        <h2>Lista das ultimas enquetes</h2>
        <ul>
            {%for pergunta in ultimas_perguntas %}

                <li>
                    <a href="{% url 'main:detalhes' pergunta.id %}">
                        {{ pergunta.texto }}(<a href="{% url 'main:resultado' pergunta.id %}">ver parcial</a>)</a>
                </li>


            {%endfor%}
        <ul>

        {% else %}

            <h3>não há enquetes cadastradas até o momento!</h3>

        {% endif %}
    </body>
</html>

main/templates/main/resultado.html
<html>
    <title>App Enquete</title>
</html>
<body>
        <h2>Resultado parcial da Enquete {{ pergunta.id }}</h2></br>
        <u>Pergunta</u>: {{pergunta.texto}} </br>
        <u>Data publicação</u>: {{ pergunta.data_publicacao }}
        <ul>
            {% for opcao in pergunta.opcao_set.all %}
                <li>{{ opcao.texto }} = {{opcao.votos }} voto{{opcao.votos | pluralize }}</li>
            {% endfor %}
        </ul>
            <hr/>
            <a href="{% url 'main:detalhes' pergunta.id %}">Deseja votar novamente?</a>
             <a href="{% url 'main:index' %}">Retornar a página principal</a>
</body>